webpack4 vue使用坑记录

坑一 request(‘vue’)

需要在webpack.config.json中加入,才能使用,官方说的'vue$': 'vue/dist/vue.esm.js'报错

resolve: {
        alias: {
            vue: 'vue/dist/vue.common.js'
        }
    }

坑2 vue-loader

需要这样使用

var VueLoaderPlugin = require('vue-loader/lib/plugin');
....
  {
                test: /\.vue$/,
                use: [{
                    loader: 'vue-loader',
                    options: {
                        extractCSS: true
                    }
                }]
            }
....
plugins: [
        new VueLoaderPlugin()
    ]
点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注